curl --request GET \
--url https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "8057637863",
"user": "01975b3b-5ba6-3ec1-2148-f595b6d92614",
"account_number_display": "2203",
"name": "Savings",
"type": "savings",
"aggregation_status_code": 0,
"status": "active",
"institution": "102168",
"aggregation_success_date": "2026-06-04T16:57:26.000Z",
"aggregation_attempt_date": "2026-06-04T16:57:26.000Z",
"created_date": "2026-06-04T16:57:17.000Z",
"currency": "USD",
"institution_login": 8029158291,
"display_position": 1,
"parent_bank_account": null,
"linked_account_date": "2026-06-04T16:57:22.000Z",
"error_code": null,
"error_message": null,
"real_account_number_last4": "2203",
"balance": 22327.3,
"balance_date": "2026-06-04T16:57:26.000Z",
"last_updated_date": "2026-06-04T16:57:22.000Z",
"market_segment": "personal",
"line_of_business": "business",
"line_of_business_source": "derived",
"line_of_business_confidence_score": 100,
"last_transaction_date": "2026-06-04T16:57:23.000Z",
"oldest_transaction_date": "2024-06-08T12:00:00.000Z"
}{
"detail": "Request parameter \"user\" is required"
}Retrieve a bank account
Retrieves a bank account.
curl --request GET \
--url https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.argyle.com/partners/v2/bank-accounts/{bank_account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "8057637863",
"user": "01975b3b-5ba6-3ec1-2148-f595b6d92614",
"account_number_display": "2203",
"name": "Savings",
"type": "savings",
"aggregation_status_code": 0,
"status": "active",
"institution": "102168",
"aggregation_success_date": "2026-06-04T16:57:26.000Z",
"aggregation_attempt_date": "2026-06-04T16:57:26.000Z",
"created_date": "2026-06-04T16:57:17.000Z",
"currency": "USD",
"institution_login": 8029158291,
"display_position": 1,
"parent_bank_account": null,
"linked_account_date": "2026-06-04T16:57:22.000Z",
"error_code": null,
"error_message": null,
"real_account_number_last4": "2203",
"balance": 22327.3,
"balance_date": "2026-06-04T16:57:26.000Z",
"last_updated_date": "2026-06-04T16:57:22.000Z",
"market_segment": "personal",
"line_of_business": "business",
"line_of_business_source": "derived",
"line_of_business_confidence_score": 100,
"last_transaction_date": "2026-06-04T16:57:23.000Z",
"oldest_transaction_date": "2024-06-08T12:00:00.000Z"
}{
"detail": "Request parameter \"user\" is required"
}Response
Bank account type.
checking, savings, cd, moneyMarket, creditCard, lineOfCredit, investment, investmentTaxDeferred, employeeStockPurchasePlan, ira, 401k, roth, 403b, 529plan, rollover, ugma, utma, keogh, 457plan, 401a, brokerageAccount, educationSavings, healthSavingsAccount, pension, profitSharingPlan, roth401k, sepIRA, simpleIRA, thriftSavingsPlan, variableAnnuity, cryptocurrency, mortgage, loan, studentLoan, studentLoanGroup, studentLoanAccount Status code of the most recent aggregation attempt.
Timestamp (ISO 8601) of the last successful aggregation for the account.
Timestamp (ISO 8601) of the last aggregation attempt for the account, whether successful or not.
Timestamp (ISO 8601) for when the bank account was created.
Timestamp (ISO 8601) for when the account was linked.
Timestamp (ISO 8601) for when the balance was recorded.
Timestamp (ISO 8601) for when the account was last updated.
Confidence score for line_of_business, from 0.0 to 100.0.
A score of 100.0 is expected when the value is provided by the financial institution. Scores from 90.0 to 99.0 indicate high confidence, 60.0 to 89.0 indicate medium confidence, and 0.0 to 59.0 indicate low confidence.
0 <= x <= 100Timestamp (ISO 8601) of the latest transaction.
Timestamp (ISO 8601) of the oldest transaction.